> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plurex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Venues

> List all available liquidity venues



## OpenAPI

````yaml POST /api/v1/venues/query/List
openapi: 3.1.0
info:
  title: Plurex Platform API
  description: >
    Plurex Platform API uses a Command & Query Separation (CQS) architecture.

    All state-changing operations are 'commands' and read-only operations are
    'queries'.

    Both use HTTP POST with JSON payloads.

    No conformity to REST, all inputs are in the body of the request.
  version: 1.0.0
servers:
  - url: https://api.plurex.io
    description: Production server
security:
  - ApiKeyAuth: []
    ApiSecretAuth: []
paths:
  /api/v1/venues/query/List:
    post:
      tags:
        - Venues
      summary: List all available liquidity venues
      operationId: listVenues
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VenueListQuery'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseSuccessPageResponseEnvelope'
                  - type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/VenueHeader'
components:
  schemas:
    VenueListQuery:
      $ref: '#/components/schemas/BasePageQuery'
    BaseSuccessPageResponseEnvelope:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          required:
            - items
          properties:
            items:
              type: array
              items:
                type: object
            nextCursor:
              type: string
              nullable: true
              description: Use this value in the next request to fetch the following page.
    VenueHeader:
      type: object
      properties:
        id:
          type: string
        isRestricted:
          type: boolean
        features:
          $ref: '#/components/schemas/VenueFeatures'
    BasePageQuery:
      type: object
      properties:
        cursor:
          type: string
          nullable: true
    BaseResponse:
      type: object
      required:
        - traceId
        - serverTime
      properties:
        traceId:
          type: string
          format: uuid
          description: Unique identifier for tracing.
        serverTime:
          type: string
          format: date-time
          description: RFC3339 timestamp of processing.
        warnings:
          type: array
          items:
            type: string
    VenueFeatures:
      type: object
      properties:
        tradeFeed:
          type: boolean
        orderBook:
          type: boolean
        charts:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    ApiSecretAuth:
      type: apiKey
      in: header
      name: X-API-SECRET

````